Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Migrated to Confluence 5.3

Cobertura Plugin

Troubleshooting

Version 2.1 of the plugin is broken and always reports 100% coverage. Be sure to specify version 2.0.

No Format
<project>
  ...
  <reporting>
    <plugins>
      ...
      <plugin>
        <groupId>org.codehaus.mojo</groupId>
        <artifactId>cobertura-maven-plugin</artifactId>
        <version>2.0</version>
      </plugin>
    </plugins>
  </reporting>
  ...
</project>

If you are running cobertura:cobertura from the command line, it takes the version from the build section instead.

You can check which version you are using with mvn help:describe -Dplugin=cobertura

Make sure to delete any cobertura.ser files before trying again